<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Form_status_log extends Model
{
    use HasFactory;

    protected $table = 'form_status_log';
    protected $fillable = [
        'id_form_submitted',
        'id_status',
        'created_by',
    ];

    public function form_submitted()
    {
        return $this->belongsTo(Form_submitted::class, 'id_form_submitted');
    }

    public function form_status()
    {
        return $this->belongsTo(Form_status::class, 'id_status');
    }

    public function user()
    {
        return $this->belongsTo(Login::class, 'created_by');
    }
    
}
